
 //28-01/2018
// Soft UART pins connections

    //ac:AT89_Pinout_

sbit  Soft_Uart_RX at P3_0_bit;
sbit  Soft_Uart_TX at P3_1_bit;
sbit LedV at P1_3_bit;
sbit LedR at P1_2_bit;
//sbit Led_Dir at TRISC7_bit;

char  i, error, byte_read;
int j;



void main() 
{

error=0;
LedV=0;
LedR=0;
//2 - error, requested baud rate is too low
//1 - error, requested baud rate is too high
//0 - successful initialization
error=Soft_UART_Init(9600,0);
if (error >0)
{   
  LedV=1; 
  while(1);
 }
Delay_ms(100);

  for (j = 'z'; j >= 'A'; j--)
   {          // Send bytes from 'z' downto 'A'
    Soft_UART_Write((char)j);
    Delay_ms(100);
  }

  while(1)
   {                              // Endless loop
    byte_read = Soft_UART_Read(&error);   // Read byte, then test error flag
    if (error>0)                            // If error was detected
      P3_7_bit=1;                         //   signal it on P2
    else
      Soft_UART_Write(byte_read);         // If error was not detected, return byte read
    }
}